#!/bin/bash
echo "开始"
echo "$(date "+%Y-%m-%d %H:%M:%S") 正在杀进程..."
# shellcheck disable=SC2009
# ps aux | grep run_bot
ps aux | grep run_bot.py | grep -v grep | awk '{print $2}' | xargs kill -9
echo "$(date "+%Y-%m-%d %H:%M:%S") 进程已杀死！"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在更新代码..."
cd /data5/wangkun/crawler_bot/ && git pull origin master --force
echo "$(date "+%Y-%m-%d %H:%M:%S") 代码更新完成！"

echo "$(date "+%Y-%m-%d %H:%M:%S") 正在重启服务..."
source /etc/profile
nohup python3 -u main/run_bot.py >>./nohup.log 2>&1 &
echo "$(date "+%Y-%m-%d %H:%M:%S") 服务重启完毕!"

exit 0
